Subject: Re: a maze of twisty stats, most different

From: Chris Snook <[email-masked]>
Date: Thu, 28 Jun 2007 08:47:56 -0400

Rick Jones wrote:
> It seems that every driver, when providing support for ethtool -S 
> functionality, has considerable lattitude when it comes to the stats 
> provided.  Clearly this is very nice for the driver writer(s) as it 
> allows them to provide whatever stats they feel are most "natural" for 
> their NIC(s) and name them as they see fit.

This is deliberate.  Ethtool operates at a very primitive level, and generally 
does little or no translation between the hardware registers and userspace.

> However :)
> 
>  From the standpoint of someone looking from the outside, say someone 
> wanting to consume ethtool -S statistics, it seems to be a big jumble.
> 
> Might there be a way to bring those two camps together?  Is there 
> already, with the same wide availabilty of ethtool, and I've just not 
> seen it?

ifconfig comes to mind, for one.  What statistics are you looking for exactly?

	-- Chris